restic backup(1)

NAME

restic-check - Check the repository for errors

SYNOPSIS

restic check [flags]

DESCRIPTION

The "check" command tests the repository for errors and reports any errors it finds. It can also be used to read all data and therefore simulate a restore.

By default, the "check" command will always load all data directly from the repository and not use a local cache.

OPTIONS

--check-unused[=false]
    find unused blobs

-h, --help[=false]
    help for check

--read-data[=false]
    read all data blobs

--read-data-subset=""
    read subset of data packs

--with-cache[=false]
    use the cache

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    path to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

SEE ALSO

restic(1)